The foreign exchange sector is particularly flourishing and forex is the largest recruitment sector that the company is placing candidates in overall, with 30% of GRS’ job vacancies being…...Candidates rarely move for money alone so the GRS team spend time to really understand a candidate’s motivation and drive when looking for their next career move in Cyprus or Malta. ...On behalf of our client, an international and reputable shipping company we are seeking an experienced Technical Superintendent to join their international company. If you are an exp {...}We are seeking a confident and knowledgeable Senior Software Developer to join an international Financial Services Company based in Limassol. The company has been established since 2 {...}Our client, a well-established Russian Investment Firm is seeking a Head of Compliance to join their established office in Nicosia. You will be responsible for both the compliance of {...}
					Privacy Policy				

 
GRS Global Recruitment Solutions is committed to protecting your privacy. We understand the importance of privacy and security especially in relation to the recruitment process. Your personal information is kept in the strictest confidence and under no circumstances are your confidential details or full CV revealed to our clients or any third party without your prior consent.
 
